summaryrefslogtreecommitdiff
path: root/ctdb/tests/scripts
diff options
context:
space:
mode:
authorMartin Schwenke <martin@meltin.net>2014-02-28 15:54:54 +1100
committerAmitay Isaacs <amitay@samba.org>2014-03-28 05:55:13 +0100
commit234f8eb5712c38872444c5dd7a258903b389b062 (patch)
tree6afcf1f910002f6ab140cccf60a4ea1211499a72 /ctdb/tests/scripts
parentf99a759ce7cb5492442c018f976619f0ba439a43 (diff)
downloadsamba-234f8eb5712c38872444c5dd7a258903b389b062.tar.gz
ctdb-tests: Add a new NFS tickle test
This one ensures that a newly started node gets an up-to-date tickle list. Tweak some of the integration test functions to accommodate this. Signed-off-by: Martin Schwenke <martin@meltin.net> Reviewed-by: Amitay Isaacs <amitay@gmail.com>
Diffstat (limited to 'ctdb/tests/scripts')
-rw-r--r--ctdb/tests/scripts/integration.bash8
1 files changed, 4 insertions, 4 deletions
diff --git a/ctdb/tests/scripts/integration.bash b/ctdb/tests/scripts/integration.bash
index 665fc7dd694..1ff02d55688 100644
--- a/ctdb/tests/scripts/integration.bash
+++ b/ctdb/tests/scripts/integration.bash
@@ -278,7 +278,7 @@ wait_until_healthy ()
echo "Waiting for cluster to become healthy..."
- wait_until 120 _cluster_is_healthy
+ wait_until $timeout onnode -q any $CTDB_TEST_WRAPPER _cluster_is_healthy
}
# This function is becoming nicely overloaded. Soon it will collapse! :-)
@@ -438,7 +438,7 @@ _ctdb_hack_options ()
esac
}
-_restart_ctdb ()
+restart_ctdb_1 ()
{
_ctdb_hack_options "$@"
@@ -452,7 +452,7 @@ _restart_ctdb ()
# Restart CTDB on all nodes. Override for local daemons.
_restart_ctdb_all ()
{
- onnode -p all $CTDB_TEST_WRAPPER _restart_ctdb "$@"
+ onnode -p all $CTDB_TEST_WRAPPER restart_ctdb_1 "$@"
}
# Nothing needed for a cluster. Override for local daemons.
@@ -479,7 +479,7 @@ restart_ctdb ()
continue
}
- onnode -q 1 $CTDB_TEST_WRAPPER wait_until_healthy || {
+ wait_until_healthy || {
echo "Cluster didn't become healthy. Restarting..."
continue
}